from typing import Generator
from unittest import mock
import pytest


@pytest.fixture(autouse=True)
def mock_logged_in() -> Generator[None, None, None]:
    with mock.patch(
        "gcs_migration.commands.decorators.check_logged_in", return_value=True
    ):
        yield


@pytest.fixture
def mock_not_logged_in() -> Generator[None, None, None]:
    with mock.patch(
        "gcs_migration.commands.decorators.check_logged_in", return_value=False
    ):
        yield
